var e,
  n = require("../../../../common/vendor.js"),
  t = require("./i18n/index.js");
setTimeout(function () {
  e = n.index.getSystemInfoSync().platform;
}, 16);
var o = n.initVueI18n(t.messages).t,
  i = {
    name: "UniLoadMore",
    emits: ["clickLoadMore"],
    props: {
      status: { type: String, default: "more" },
      showIcon: { type: Boolean, default: !0 },
      iconType: { type: String, default: "auto" },
      iconSize: { type: Number, default: 24 },
      color: { type: String, default: "#777777" },
      contentText: {
        type: Object,
        default: function () {
          return { contentdown: "", contentrefresh: "", contentnomore: "" };
        },
      },
      showText: { type: Boolean, default: !0 },
    },
    data: function () {
      return {
        webviewHide: !1,
        platform: e,
        imgBase64:
          "data:image/png;base64,[encoded data, 6164 characters]",
      };
    },
    computed: {
      iconSnowWidth: function () {
        return 2 * (Math.floor(this.iconSize / 24) || 1);
      },
      contentdownText: function () {
        return this.contentText.contentdown || o("uni-load-more.contentdown");
      },
      contentrefreshText: function () {
        return (
          this.contentText.contentrefresh || o("uni-load-more.contentrefresh")
        );
      },
      contentnomoreText: function () {
        return (
          this.contentText.contentnomore || o("uni-load-more.contentnomore")
        );
      },
    },
    mounted: function () {},
    methods: {
      onClick: function () {
        this.$emit("clickLoadMore", { detail: { status: this.status } });
      },
    },
  },
  c = n._export_sfc(i, [
    [
      "render",
      function (e, t, o, i, c, A) {
        return n.e(
          {
            a:
              !c.webviewHide &&
              ("circle" === o.iconType ||
                ("auto" === o.iconType && "android" === c.platform)) &&
              "loading" === o.status &&
              o.showIcon,
          },
          !c.webviewHide &&
            ("circle" === o.iconType ||
              ("auto" === o.iconType && "android" === c.platform)) &&
            "loading" === o.status &&
            o.showIcon
            ? {
                b: o.color,
                c: o.iconSize / 12,
                d: o.color,
                e: o.iconSize / 12,
                f: o.color,
                g: o.iconSize / 12,
                h: o.iconSize + "px",
                i: o.iconSize + "px",
              }
            : !c.webviewHide && "loading" === o.status && o.showIcon
            ? { k: c.imgBase64, l: o.iconSize + "px", m: o.iconSize + "px" }
            : {},
          {
            j: !c.webviewHide && "loading" === o.status && o.showIcon,
            n: o.showText,
          },
          o.showText
            ? {
                o: n.t(
                  "more" === o.status
                    ? A.contentdownText
                    : "loading" === o.status
                    ? A.contentrefreshText
                    : A.contentnomoreText
                ),
                p: o.color,
              }
            : {},
          {
            q: n.o(function () {
              return A.onClick && A.onClick.apply(A, arguments);
            }),
          }
        );
      },
    ],
  ]);
wx.createComponent(c);
